/**
 * A generic string to string map.
 */
export interface StringMap {
    [key: string]: string;
}
/**
 * Configuration for a shell environment.
 */
export interface RunConfig {
    /**
     * The shell to use.
     */
    readonly shell?: 'bash' | 'pwsh' | 'python' | 'sh' | 'cmd' | 'powershell';
    /**
     * A custom working directory.
     */
    readonly workingDirectory?: string;
}
/**
 *
 */
export interface DefaultsRunConfig {
    /**
     *
     */
    readonly run?: RunConfig;
}
/**
 * A defaults configuration block.
 */
export declare type DefaultsConfig = DefaultsRunConfig;
